Index: trunk/src/org/openstreetmap/josm/data/coor/Coordinate.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/coor/Coordinate.java	(revision 1108)
+++ trunk/src/org/openstreetmap/josm/data/coor/Coordinate.java	(revision 1169)
@@ -7,39 +7,39 @@
 /**
  * Base class of points of both coordinate systems.
- * 
- * The variables are default package protected to allow routines in the 
+ *
+ * The variables are default package protected to allow routines in the
  * data package to access them directly.
- * 
- * As the class itself is package protected too, it is not visible 
- * outside of the data package. Routines there should only use LatLon or 
+ *
+ * As the class itself is package protected too, it is not visible
+ * outside of the data package. Routines there should only use LatLon or
  * EastNorth.
  *
  * @author imi
- */ 
+ */
 abstract class Coordinate extends Point2D implements Serializable {
 
     protected double x;
     protected double y;
-    
-	/**
-	 * Construct the point with latitude / longitude values.
-	 * 
-	 * @param x X coordinate of the point.
-	 * @param y Y coordinate of the point.
-	 */
-	Coordinate(double x, double y) {
+
+    /**
+     * Construct the point with latitude / longitude values.
+     *
+     * @param x X coordinate of the point.
+     * @param y Y coordinate of the point.
+     */
+    Coordinate(double x, double y) {
         this.x = x; this.y = y;
-	}
-    
+    }
+
     public double getX() {
         return x;
     }
-    
+
     public double getY() {
-        return y; 
+        return y;
     }
-    
+
     public void setLocation (double x, double y) {
-        this.x = x; 
+        this.x = x;
         this.y = y;
     }
Index: trunk/src/org/openstreetmap/josm/data/coor/EastNorth.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/coor/EastNorth.java	(revision 1108)
+++ trunk/src/org/openstreetmap/josm/data/coor/EastNorth.java	(revision 1169)
@@ -4,49 +4,49 @@
 /**
  * Northing, Easting of the projected coordinates.
- * 
+ *
  * This class is immutable.
- * 
+ *
  * @author Imi
  */
 public class EastNorth extends Coordinate {
 
-	public EastNorth(double east, double north) {
-		super(east,north);
-	}
-	
-	public double east() {
-		return x;
-	}
+    public EastNorth(double east, double north) {
+        super(east,north);
+    }
 
-	public double north() {
-		return y;
-	}
+    public double east() {
+        return x;
+    }
 
-	public EastNorth add(double dx, double dy) {
-		return new EastNorth(x+dx, y+dy);
-	}
-	
-	public EastNorth interpolate(EastNorth en2, double proportion) {
-		return new EastNorth(this.x + proportion * (en2.x - this.x),
+    public double north() {
+        return y;
+    }
+
+    public EastNorth add(double dx, double dy) {
+        return new EastNorth(x+dx, y+dy);
+    }
+
+    public EastNorth interpolate(EastNorth en2, double proportion) {
+        return new EastNorth(this.x + proportion * (en2.x - this.x),
             this.y + proportion * (en2.y - this.y));
-	}
-    
+    }
+
     /**
-     * Returns the heading, in radians, that you have to use to get from 
+     * Returns the heading, in radians, that you have to use to get from
      * this EastNorth to another. Heading is mapped into [0, 2pi)
-     * 
+     *
      * @param other the "destination" position
-     * @return heading 
+     * @return heading
      */
     public double heading(EastNorth other) {
         double hd = Math.atan2(other.east() - east(), other.north() - north());
         if(hd < 0) hd = 2 * Math.PI + hd;
-        return hd;       
+        return hd;
     }
-    
+
     public EastNorth sub(EastNorth en) {
         return new EastNorth(en.east() - east(), en.north() - north());
     }
-  
+
     /**
      * Returns an EastNorth representing the this EastNorth rotatedaround
@@ -54,5 +54,5 @@
      * @param pivot the center of the rotation
      * @param angle the angle of the rotation
-     * @return EastNorth rotated object 
+     * @return EastNorth rotated object
      */
     public EastNorth rotate(EastNorth pivot, double angle) {
@@ -65,8 +65,8 @@
         return new EastNorth(nx, ny);
     }
-	
-	@Override public String toString() {
-		return "EastNorth[e="+x+", n="+y+"]";
-	}
+
+    @Override public String toString() {
+        return "EastNorth[e="+x+", n="+y+"]";
+    }
 
     /**
Index: trunk/src/org/openstreetmap/josm/data/coor/LatLon.java
===================================================================
--- trunk/src/org/openstreetmap/josm/data/coor/LatLon.java	(revision 1108)
+++ trunk/src/org/openstreetmap/josm/data/coor/LatLon.java	(revision 1169)
@@ -13,7 +13,7 @@
 /**
  * LatLon are unprojected latitude / longitude coordinates.
- * 
+ *
  * This class is immutable.
- * 
+ *
  * @author Imi
  */
@@ -23,14 +23,14 @@
     private static DecimalFormat cDmsSecondFormatter = new DecimalFormat("00.0");
     private static DecimalFormat cDdFormatter = new DecimalFormat("###0.0000");
-    
-    /** 
-     * Possible ways to display coordinates 
-     */ 
-    public enum CoordinateFormat { 
-        DECIMAL_DEGREES {public String toString() {return tr("Decimal Degrees");}},  
-        DEGREES_MINUTES_SECONDS {public String toString() {return tr("Degrees Minutes Seconds");}}; 
-    } 
-    
-    public static String dms(double pCoordinate) { 
+
+    /**
+     * Possible ways to display coordinates
+     */
+    public enum CoordinateFormat {
+        DECIMAL_DEGREES {public String toString() {return tr("Decimal Degrees");}},
+        DEGREES_MINUTES_SECONDS {public String toString() {return tr("Degrees Minutes Seconds");}};
+    }
+
+    public static String dms(double pCoordinate) {
 
         double tAbsCoord = Math.abs(pCoordinate);
@@ -40,7 +40,7 @@
         double tSeconds = (tTmpMinutes - tMinutes) * 60;
 
-        return tDegree + "\u00B0" + cDmsMinuteFormatter.format(tMinutes) + "\'" 
+        return tDegree + "\u00B0" + cDmsMinuteFormatter.format(tMinutes) + "\'"
             + cDmsSecondFormatter.format(tSeconds) + "\"";
-    } 
+    }
 
     public LatLon(double lat, double lon) {
@@ -51,5 +51,5 @@
         return y;
     }
-    
+
     public String latToString(CoordinateFormat d) {
         switch(d) {
@@ -59,9 +59,9 @@
         }
     }
-    
+
     public double lon() {
         return x;
     }
-    
+
     public String lonToString(CoordinateFormat d) {
         switch(d) {
@@ -71,6 +71,6 @@
         }
     }
-    
-  
+
+
 
     /**
@@ -86,63 +86,63 @@
     /**
      * @return <code>true</code>, if the coordinate is outside the world, compared
-	 * by using lat/lon.
-	 */
-	public boolean isOutSideWorld() {
-		return lat() < -Projection.MAX_LAT || lat() > Projection.MAX_LAT || 
-			lon() < -Projection.MAX_LON || lon() > Projection.MAX_LON;
-	}
+     * by using lat/lon.
+     */
+    public boolean isOutSideWorld() {
+        return lat() < -Projection.MAX_LAT || lat() > Projection.MAX_LAT ||
+            lon() < -Projection.MAX_LON || lon() > Projection.MAX_LON;
+    }
 
-	/**
-	 * @return <code>true</code> if this is within the given bounding box.
-	 */
-	public boolean isWithin(Bounds b) {
-		return lat() >= b.min.lat() && lat() <= b.max.lat() && lon() > b.min.lon() && lon() < b.max.lon();
-	}
-	
-	/**
-	 * Computes the distance between this lat/lon and another point on the earth.
-	 * Uses spherical law of cosines formula, not Haversine.
-	 * @param other the other point.
-	 * @return distance in metres.
-	 */
-	public double greatCircleDistance(LatLon other) {
-		return (Math.acos(
-			Math.sin(Math.toRadians(lat())) * Math.sin(Math.toRadians(other.lat())) + 
-		    Math.cos(Math.toRadians(lat()))*Math.cos(Math.toRadians(other.lat())) *
-		                  Math.cos(Math.toRadians(other.lon()-lon()))) * 6378135);
-	}
-	
-	/**
-	 * Returns the heading, in radians, that you have to use to get from 
-	 * this lat/lon to another.
-	 * 
-	 * @param other the "destination" position
-	 * @return heading 
-	 */
-	public double heading(LatLon other) {
-		double rv;
-		if (other.lat() == lat()) {
-			rv = (other.lon()>lon() ? Math.PI / 2 : Math.PI * 3 / 2);
-		} else {
-			rv = Math.atan((other.lon()-lon())/(other.lat()-lat()));
-			if (rv < 0) rv += Math.PI;
-			if (other.lon() < lon()) rv += Math.PI;
-		}
-		return rv;
-	}
+    /**
+     * @return <code>true</code> if this is within the given bounding box.
+     */
+    public boolean isWithin(Bounds b) {
+        return lat() >= b.min.lat() && lat() <= b.max.lat() && lon() > b.min.lon() && lon() < b.max.lon();
+    }
 
-	/**
-	 * Returns this lat/lon pair in human-readable format.
-	 * 
-	 * @return String in the format "lat=1.23456°, lon=2.34567°"
-	 */
-	public String toDisplayString() {
-		NumberFormat nf = NumberFormat.getInstance();
-		nf.setMaximumFractionDigits(5);
-		return "lat=" + nf.format(lat()) + "°, lon=" + nf.format(lon()) + "°";
-	}
-	
-	@Override public String toString() {
-		return "LatLon[lat="+lat()+",lon="+lon()+"]";
+    /**
+     * Computes the distance between this lat/lon and another point on the earth.
+     * Uses spherical law of cosines formula, not Haversine.
+     * @param other the other point.
+     * @return distance in metres.
+     */
+    public double greatCircleDistance(LatLon other) {
+        return (Math.acos(
+            Math.sin(Math.toRadians(lat())) * Math.sin(Math.toRadians(other.lat())) +
+            Math.cos(Math.toRadians(lat()))*Math.cos(Math.toRadians(other.lat())) *
+                          Math.cos(Math.toRadians(other.lon()-lon()))) * 6378135);
+    }
+
+    /**
+     * Returns the heading, in radians, that you have to use to get from
+     * this lat/lon to another.
+     *
+     * @param other the "destination" position
+     * @return heading
+     */
+    public double heading(LatLon other) {
+        double rv;
+        if (other.lat() == lat()) {
+            rv = (other.lon()>lon() ? Math.PI / 2 : Math.PI * 3 / 2);
+        } else {
+            rv = Math.atan((other.lon()-lon())/(other.lat()-lat()));
+            if (rv < 0) rv += Math.PI;
+            if (other.lon() < lon()) rv += Math.PI;
+        }
+        return rv;
+    }
+
+    /**
+     * Returns this lat/lon pair in human-readable format.
+     *
+     * @return String in the format "lat=1.23456°, lon=2.34567°"
+     */
+    public String toDisplayString() {
+        NumberFormat nf = NumberFormat.getInstance();
+        nf.setMaximumFractionDigits(5);
+        return "lat=" + nf.format(lat()) + "°, lon=" + nf.format(lon()) + "°";
+    }
+
+    @Override public String toString() {
+        return "LatLon[lat="+lat()+",lon="+lon()+"]";
     }
 }
